Redmine - Feature #13091

Task: Document MSSQL Support
2013-02-06 11:56 - Daniel Felix

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Documentation Estimated time: 0.00 hour
Target version:

Resolution: Fixed

Description

This should be done after releasing Redmine 2.3

See #12713

Another suggestion would be to document this changes on Wiki.

Related issues:

Related to Redmine - Feature #12713: Microsoft SQLServer support Closed

History

#1 - 2013-03-07 10:17 - Daniel Felix

- Target version set to 2.3.0

#2 - 2013-03-19 22:11 - Jean-Philippe Lang
- Target version deleted (2.3.0)

Any SQLServer expert who could add a note in Redminelnstall#Step-2-Create-an-empty-database-and-accompanying-user?

#3 - 2013-03-20 09:58 - Etienne Massip

Jean-Philippe Lang wrote:

Any SQLServer expert who could add a note in Redminelnstall -2-Cr -an-empty-

Not an expert but that's the point with SQL Server: you don't need to be an expert =)
I've added a few lines.

#4 - 2013-03-20 10:11 - Pierre Renaudet

Etienne Massip wrote:

I've added a few lines.

Faster than me...

Show CommentHide Comment

Something like that :
Step 2 :
SQL Server

USE master;

GO

CREATE DATABASE redmine;
GO

CREATE LOGIN redmine WITH PASSWORD = 'my_password', CHECK_EXPIRATION = OFF,

SE = redmine;
GO

USE redmine;
GO
https://www.redmine.org/issues/12713
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Step-2-Create-an-empty-database-and-accompanying-user
CREATE USER redmine FOR LOGIN redmine;

GO

EXEC sp_addrolemember 'db_owner', 'redmine';
GO

Step 3:
SQL Server (Default Port)

production:
adapter: sglserver
database: redmine
host: localhost
username: redmine
password: my_password

#5 - 2019-01-05 06:37 - Go MAEDA

- Category changed from Website (redmine.org) to Documentation
- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Fixed

Instructions for SQL Server has already been added to Redminelnstall.
